#include "imageoperationbase.h"
#include "../include/common.h"
#include <QStack>
#include <QDebug>

ImageOperationBase::ImageOperationBase(QObject *parent) : QObject(parent)
{

}
void ImageOperationBase::ImageOP(){
    qDebug() << "do nothing!";
}
QImage ImageOperationBase::imageCopy(QImage *origin, QStack<QImage> *stackImage){
    QImage tmp = origin->copy();
    stackImage->push(tmp);
    return tmp;
}
void ImageOperationBase::interuptOp(){
    isInterupt = true;
}
bool ImageOperationBase::getIsInterrupt(){
    return isInterupt;
}
